[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TNativeIntHelper.ToSingle

Convert to an single-sized floating point value

## Declaration

Source position: syshelph.inc line 601

`public function TNativeIntHelper.ToSingle: Single;`

## Description

ToSingle converts the NativeInt value to a single-sized floating point value.

## See also

TNativeIntHelper.ToBoolean |  | Convert to a boolean value
TNativeIntHelper.ToDouble |  | Convert to a double-sized floating point value
TNativeIntHelper.ToExtended |  | Convert to an extended-sized floating point value
TNativeIntHelper.ToString |  | Convert the value to string
TNativeIntHelper.ToHexString |  | Convert to a hexadecimal string representation